station_header:
  label: Station Header
  namespace: Organisms/TM - Stations
  use: '@organisms/tm-stations/station-header/station-header.twig'
  description: Station Header
  dependencies:
    - google_map
  libraries:
    - station_header_lib:
        css:
          component:
            ../styles/station-header.css: { weight: 10 }

  settings:
    top_layout:
      label: Top layout
      type: select
      options:
        address_and_ticket_office: Address and Ticket office
        address_and_link: Address and Link
      default: address_and_ticket_office
      preview: address_and_ticket_office

  fields:
    station:
      type: text
      label: Station
      description: The Station text
      preview: Colchester (COL)
    address:
      type: object
      label: Address
      description: Address
      preview:
        - "Colchester [North] station"
        - "Station Approach Road"
        - "Colchester"
        - "Essex"
        - "CO1 1XD"
    google_link:
      type: text
      label: Google link
      description: A URL to open Google maps
      preview: URL
    ticket_office:
      type: object
      label: Address
      description: Address
      preview:
        - Monday to friday - 8 to 5
        - Saturday - 7 to 3
        - Sunday - 1 to 2
    map:
      type: pattern
      label: Form
      preview:
        id: leaflet
        settings:
          height: 200px

    gallery:
      type: pattern
      label: Gallery
      preview:
        id: tm_gallery
        settings:
          use_preview: true
          hide_thumbs: true
          hide_captions: true
          preview_count: 2
          hide_icon: far fa-times-circle
    checklist:
      type: object
      label: Checklist
      description: checklist
      preview:
        - Ticket office
        - Step-free access
        - Bus service
        - Prepurchase collection
        - Car park
        - Ticket machine
        - Toilets
        - Taxi-rank
    post:
      type: text
      label: Post
      description: Post
      preview:
        faker: lorem.sentences
